import java.awt.*;
import java.awt.geom.*;

/** An instance is a triangle to be drawn in a window */
public class Triangle extends Shape implements Stretchy {
    private double width, height; // width and height of triangle

    /** Constructor: a triangle with width width and height height */
    public Triangle(double width, double height) {
        this.width = width;
        this.height = height;
 }
 
    /** Stretch the width by wFactor and the height by hFactor */
    public void stretch(double wFactor, double hFactor) {
        width *= wFactor;
        height *= hFactor;
    }

    /** Draw this triangle using g */
    public void draw(Graphics2D g) {
        GeneralPath p = new GeneralPath();
        p.moveTo(x, y);
        p.lineTo(x, y + height);
        p.lineTo(x + width, y + height/2);
        p.closePath();
        g.draw(p);
    }
}